## org.hibernate.type
Class BlobType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<T>
              org.hibernate.type.LobType<Blob>
                  org.hibernate.type.BlobType

All Implemented Interfaces:
  Serializable, BasicType, SingleColumnType<Blob>, StringRepresentableType<Blob>, Type, XmlRepresentableType<Blob>

    public class BlobType

extends LobType<Blob>

A type that maps between `BLOB` and `Blob`

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static BlobType` `INSTANCE`

Constructor Summary
`` `BlobType()`
`protected` `BlobType(SqlTypeDescriptor sqlTypeDescriptor, AlternativeLobTypes.BlobTypes<Blob,BlobType> blobTypes)`

Method Summary
`String` `getName()` Returns the abbreviated name of the type.
`protected Blob` `getReplacement(Blob original, Blob target)`
`protected boolean` `registerUnderJavaType()`

Methods inherited from class org.hibernate.type.LobType
`getAlternatives`

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`get, nullSafeGet, nullSafeSet, nullSafeSet, set, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType

`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Field Detail

### INSTANCE

    public static final BlobType INSTANCE

Constructor Detail

### BlobType

    public BlobType()

### BlobType

    protected BlobType(SqlTypeDescriptor sqlTypeDescriptor,
                       AlternativeLobTypes.BlobTypes<Blob,BlobType> blobTypes)

Method Detail

### getName

    public String getName()

  Returns the abbreviated name of the type.

  Returns:
    String the Hibernate type name

### registerUnderJavaType

    protected boolean registerUnderJavaType()

  Overrides:
    `registerUnderJavaType` in class `AbstractStandardBasicType<Blob>`

### getReplacement

    protected Blob getReplacement(Blob original,
                                  Blob target)

  Overrides:
    `getReplacement` in class `AbstractStandardBasicType<Blob>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.